<?php
/**
 * Theme Palace widgets inclusion
 *
 * This is the template that includes all custom widgets of Newstation
 *
 * @package Theme Palace
 * @subpackage Newstation
 * @since Newstation 1.0.0
 */

/*
 * Add About  widget
 */
require get_template_directory() . '/inc/widgets/about-info-widget.php';

/*
 * Add Slider Posts widget
 */
require get_template_directory() . '/inc/widgets/slider-widget.php';

/*
 * Add Widget Post Filter Posts widget
 */
require get_template_directory() . '/inc/widgets/widget-posts-filter.php';

/*
 * Add Recent News sidebar widget
 */
require get_template_directory() . '/inc/widgets/recent-news-widget.php';

/*
 * Add Keep Reading sidebar widget
 */
require get_template_directory() . '/inc/widgets/keep-reading.php';

/*
 * Add Most Read sidebar widget
 */
require get_template_directory() . '/inc/widgets/most-read-widget.php';

/*
 * Add Editors Choice sidebar widget
 */
require get_template_directory() . '/inc/widgets/editors-choice.php';

/**
 * Register widgets
 */
function newstation_register_widgets() {

	register_widget( 'Newstation_Slider_Post' );
	
	register_widget( 'Newstation_Post_Filter' );
	
	register_widget( 'Newstation_Recent_News_Post' );
	
	register_widget( 'Newstation_Most_Read_Post' );
	
	register_widget( 'Newstation_Keep_Reading_Post' );

	register_widget( 'Newstation_About_Us_Image_Widget' );

	register_widget( 'Newstation_Editors_Choice_Post' );

}
add_action( 'widgets_init', 'newstation_register_widgets' );